Create an organization
curl --request POST \
--url https://api.abadge.io/v1/orgs \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"slug": "<string>",
"logo": "<string>"
}
'import requests
url = "https://api.abadge.io/v1/orgs"
payload = {
"name": "<string>",
"slug": "<string>",
"logo": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', slug: '<string>', logo: '<string>'})
};
fetch('https://api.abadge.io/v1/orgs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.abadge.io/v1/orgs",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'slug' => '<string>',
'logo' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.abadge.io/v1/orgs"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"slug\": \"<string>\",\n \"logo\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.abadge.io/v1/orgs")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"slug\": \"<string>\",\n \"logo\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.abadge.io/v1/orgs")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"slug\": \"<string>\",\n \"logo\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"organization": {
"id": "<string>",
"name": "<string>",
"slug": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"isPersonal": true,
"logo": "<string>"
},
"defaultProfile": {
"id": "<string>",
"name": "<string>",
"externalId": "<string>",
"storageMode": "zero_knowledge",
"keyVersion": 123
}
}{
"code": "ITEM_NOT_FOUND",
"message": "Item not found.",
"hint": "Verify the item ID and that it belongs to your organization.",
"meta": {},
"issues": [
{
"path": [
"<string>"
],
"message": "<string>"
}
]
}{
"code": "ITEM_NOT_FOUND",
"message": "Item not found.",
"hint": "Verify the item ID and that it belongs to your organization.",
"meta": {}
}{
"code": "ITEM_NOT_FOUND",
"message": "Item not found.",
"hint": "Verify the item ID and that it belongs to your organization.",
"meta": {}
}{
"code": "ITEM_NOT_FOUND",
"message": "Item not found.",
"hint": "Verify the item ID and that it belongs to your organization.",
"meta": {}
}Organizations
Create an organization
Creates an organization, the owner membership, and a default server_managed profile (externalId: "default") in one transaction, so the org is immediately usable. Authenticated with a session token or personal API key.
POST
/
orgs
Create an organization
curl --request POST \
--url https://api.abadge.io/v1/orgs \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"slug": "<string>",
"logo": "<string>"
}
'import requests
url = "https://api.abadge.io/v1/orgs"
payload = {
"name": "<string>",
"slug": "<string>",
"logo": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', slug: '<string>', logo: '<string>'})
};
fetch('https://api.abadge.io/v1/orgs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.abadge.io/v1/orgs",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'slug' => '<string>',
'logo' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.abadge.io/v1/orgs"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"slug\": \"<string>\",\n \"logo\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.abadge.io/v1/orgs")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"slug\": \"<string>\",\n \"logo\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.abadge.io/v1/orgs")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"slug\": \"<string>\",\n \"logo\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"organization": {
"id": "<string>",
"name": "<string>",
"slug": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"isPersonal": true,
"logo": "<string>"
},
"defaultProfile": {
"id": "<string>",
"name": "<string>",
"externalId": "<string>",
"storageMode": "zero_knowledge",
"keyVersion": 123
}
}{
"code": "ITEM_NOT_FOUND",
"message": "Item not found.",
"hint": "Verify the item ID and that it belongs to your organization.",
"meta": {},
"issues": [
{
"path": [
"<string>"
],
"message": "<string>"
}
]
}{
"code": "ITEM_NOT_FOUND",
"message": "Item not found.",
"hint": "Verify the item ID and that it belongs to your organization.",
"meta": {}
}{
"code": "ITEM_NOT_FOUND",
"message": "Item not found.",
"hint": "Verify the item ID and that it belongs to your organization.",
"meta": {}
}{
"code": "ITEM_NOT_FOUND",
"message": "Item not found.",
"hint": "Verify the item ID and that it belongs to your organization.",
"meta": {}
}Authorizations
Bearer token in the Authorization header. Management routes accept a session token or a personal API key (abu_). Agent-facing access.* routes require an agent session token (abs_).
Body
application/json
Was this page helpful?